
$(document).ready(function() {

	var array = getUrlParameter(window.location.href);

	var getData = {
		subTaskId : array['subTaskId'],
		surveyId : array['surveyId']
	};

	var jsonData = JSON.stringify(getData);

	var _message;

	$.ajax({

		url : path+'/questionnaire/detailQuestionAnswer',
		type : 'post',
		data : jsonData,
		contentType : 'application/json;charset=UTF-8',
		success : function(message) {

			var result = JSON.parse(message);
			_message = result;
			if ("success" == result.message) {

				$.each(result.data, function(i, surQuest) {

					var div = document.createElement('div');
					div.setAttribute('class', 'form-group');
					var label = document.createElement('label');
                    label.innerText = surQuest.orderNo+".  "+surQuest.questionname;
					div.insertBefore(label, div.childNodes[0]);

					var nameID = surQuest.questionid;

					if (surQuest.questiontype == 1) {

						var answer;

						$.each(surQuest.taskAnswerlist, function(j, taskAnswerlist) {

							answer = taskAnswerlist.answerId;

						});

						$.each(surQuest.answerlist, function(j, answerlist) {

							var divGroup = document.createElement('div');
							divGroup.setAttribute('class', 'radio');

							var labelInput = document.createElement('label');
							labelInput.innerText = answerlist.answername;

							var input = document.createElement('input');

							input.setAttribute('name', nameID);
							input.setAttribute('id', nameID);
							input.setAttribute('type', 'radio');
							input.setAttribute('value', answerlist.answerid);
							input.setAttribute('disabled', 'disabled');

							if (answerlist.answerid == answer) {
								input.setAttribute('checked', 'checked');
							}

							labelInput.insertBefore(input, labelInput.childNodes[0]);
							divGroup.appendChild(labelInput);
							div.appendChild(divGroup);

						});

						$('#formContent').append(div);

					} else if (surQuest.questiontype == 2) {

						var answerArray = new Array();

						$.each(surQuest.taskAnswerlist, function(j, taskAnswerlist) {

							answerArray[j] = taskAnswerlist.answerId;

						});

						$.each(surQuest.answerlist, function(j, answerlist) {

							var divGroup = document.createElement('div');
							divGroup.setAttribute('class', 'checkbox');

							var labelInput = document.createElement('label');
							labelInput.innerText = answerlist.answername;

							var input = document.createElement('input');
							input.setAttribute('type', 'checkbox');
							input.setAttribute('value', answerlist.answerid);
							input.setAttribute('name', nameID);
							input.setAttribute('id', nameID);
							input.setAttribute('disabled', 'disabled');

							if (answerArray.indexOf(answerlist.answerid) != -1) {
								input.setAttribute('checked', 'checked');
							}

							labelInput.insertBefore(input, labelInput.childNodes[0]);
							divGroup.appendChild(labelInput);
							div.appendChild(divGroup);

						});

						$('#formContent').append(div);
					} else if (surQuest.questiontype == 3) {

						var textarea = document.createElement('textarea');
						textarea.setAttribute('class', 'form-control');
						textarea.setAttribute('rows', '3');

						textarea.setAttribute('name', nameID);
						textarea.setAttribute('id', nameID);

						textarea.setAttribute('disabled', 'disabled');

						$.each(surQuest.taskAnswerlist, function(j, taskAnswerlist) {

							textarea.value = taskAnswerlist.remark;

						});

						div.appendChild(textarea);

						$('#formContent').append(div);
					}
				});

			} else {
				window.location.href = "login.html";
			}
		},
	});

	$.each(_message.data, function(i, surQuest) {
		if (surQuest.questiontype == 1) {
			$.each(surQuest.taskAnswerlist, function(j, taskAnswerlist) {

			});
		} else if (surQuest.questiontype == 2) {

		} else if (surQuest.questiontype == 3) {

		}
	});

});

function getUrlParameter(Url) {
	var urlStr = Url.split("?");

	var UrlSplit = urlStr[1].split("&");
	var array = new Array();

	if (Url.length > 0) {
		for (var i = 0; i < UrlSplit.length; i++) {
			var temp = UrlSplit[i].split("=");
			array[temp[0]] = temp[1];
		}
	};

	return array;
}