$(document).ready(function() {

	var array = getUrlParameter(window.location.href);

	var getData = {
		subTaskId : array['subTaskId'],
		surveyId : array['surveyId']
	};

	var jsonData = JSON.stringify(getData);

	var _message;

	$.ajax({

		url : path+'/questionnaire/queryQuestionBySurveryId',
		type : 'post',
		data : jsonData,
		contentType : 'application/json;charset=UTF-8',
		success : function(message) {

			var result = JSON.parse(message);
			_message = result;
			if ("success" == result.message) {

				$.each(result.data.surQuest, function(i, surQuest) {

					var div = document.createElement('div');
					div.setAttribute('class', 'form-group');
					var label = document.createElement('label');
					label.innerText = surQuest.orderNo+".  "+surQuest.questionname;
					div.insertBefore(label, div.childNodes[0]);

					var nameID = surQuest.questionid;

					if (surQuest.questiontype == 1) {

						$.each(surQuest.answerlist, function(j, answerlist) {

							var divGroup = document.createElement('div');
							divGroup.setAttribute('class', 'radio');

							var labelInput = document.createElement('label');
							labelInput.innerText = answerlist.answername;

							var input = document.createElement('input');

							input.setAttribute('name', nameID);
							input.setAttribute('id', nameID);
							input.setAttribute('type', 'radio');
							input.setAttribute('value', answerlist.answerid);

							if (j == 0) {
								input.setAttribute('checked', 'checked');
							}

							labelInput.insertBefore(input, labelInput.childNodes[0]);
							divGroup.appendChild(labelInput);
							div.appendChild(divGroup);

						});

						$('#formContent').append(div);

					} else if (surQuest.questiontype == 2) {

						$.each(surQuest.answerlist, function(j, answerlist) {

							var divGroup = document.createElement('div');
							divGroup.setAttribute('class', 'checkbox');

							var labelInput = document.createElement('label');
							labelInput.innerText = answerlist.answername;

							var input = document.createElement('input');
							input.setAttribute('type', 'checkbox');
							input.setAttribute('value', answerlist.answerid);
							input.setAttribute('name', nameID);
							input.setAttribute('id', nameID);

							labelInput.insertBefore(input, labelInput.childNodes[0]);
							divGroup.appendChild(labelInput);
							div.appendChild(divGroup);

						});

						$('#formContent').append(div);
					} else if (surQuest.questiontype == 3) {

						var textarea = document.createElement('textarea');
						textarea.setAttribute('class', 'form-control');
						textarea.setAttribute('rows', '3');

						textarea.setAttribute('name', nameID);
						textarea.setAttribute('id', nameID);

						div.appendChild(textarea);

						$('#formContent').append(div);
					}
				});

			} else {

			}
		},
	});
	$("#defaultForm").submit(function(e) {

		var questionJson = [];
		//最终返回的json

		//json["quesstionId"]=1;
		//json["quesstionId2"]=2;

		//questionJson.push	(json);
		//questionJson.push	(json);

		//alert(JSON.stringify(questionJson) );

		$.each(_message.data.surQuest, function(ii, surQuest) {
			var json = {};
			if (surQuest.questiontype == 1) {
				var answerid = $("input[name=" + surQuest.questionid + "]:checked").val();

				if ( typeof (answerid) != "undefined") {
					json["quesstionId"] = surQuest.questionid;
					json["quesstionType"] = surQuest.questiontype;
					json["answerId"] = answerid;
					json["subTaskId"] = array['subTaskId'];
					json["surveyId"] = array['surveyId'];
					questionJson.push(json);
				}
			} else if (surQuest.questiontype == 2) {

				var checkbox = $("[name=" + surQuest.questionid + "]:checked");

				if (checkbox.length > 0) {
					var answerId = "";
					checkbox.each(function(e) {
						answerId += $(this).val() + "&";
					});

					json["quesstionId"] = surQuest.questionid;
					json["quesstionType"] = surQuest.questiontype;
					json["answerIds"] = answerId.substr(0, answerId.length - 1);
					json["subTaskId"] = array['subTaskId'];
					json["surveyId"] = array['surveyId'];
					questionJson.push(json);

				};

			} else if (surQuest.questiontype == 3) {

				var remark = $.trim($("#" + surQuest.questionid).val());

				if (remark != "") {
					json["quesstionId"] = surQuest.questionid;
					json["quesstionType"] = surQuest.questiontype;
					json["remark"] = remark;
					json["subTaskId"] = array['subTaskId'];
					json["surveyId"] = array['surveyId'];
					questionJson.push(json);
				}

			}

		});

		submit(questionJson);
		return false;

	});

});

function submit(questionJson) {

	var jsonData = JSON.stringify(questionJson);

	$.ajax({
		url : path+'/questionnaire/answerTaskQuestion',
		type : 'post',
		data : jsonData,
		contentType : 'application/json;charset=UTF-8',
		success : function(message) {

			var result = JSON.parse(message);

			if ("success" == result.message) {
				window.location.href = "myd_done.html";
				
			} else {
				alert('提交失败');
			}
		}
	});

}

function getUrlParameter(Url) {
	var urlStr = Url.split("?");

	var UrlSplit = urlStr[1].split("&");
	var array = new Array();

	if (Url.length > 0) {
		for (var i = 0; i < UrlSplit.length; i++) {
			var temp = UrlSplit[i].split("=");
			array[temp[0]] = temp[1];
		}
	};

	return array;
}