$(document).ready(function() {

	getBillByVin(1, 0);

});

function displayInput() {

	$('#errorVin').css("display", "none");
}

function getBillByVin(page, index) {

	//通过vin码查询

	var vin = $('#vincode').val();

	if (vin.length != 17 && vin.length != 6 && vin.length != 0) {
		$('#errorVin').css("display", "inline");
		return;

	} else {
		$('#errorVin').css("display", "none");
	}

	var custId = localStorage.getItem("custid");
	var monthRange = $('input[name=monthRange]:checked').val();
	var getData = {
		custId : custId,
		vin : vin,
		monthRange : monthRange,
		page : page,
		rows : "10"
	};

	var jsonData = JSON.stringify(getData);

	$.ajax({
		url : path+'/textComplain/getBillByVin',
		type : 'post',
		data : jsonData,
		contentType : 'application/json;charset=UTF-8',
		success : function(message) {
			bindData(message, index);
		},
	});
}

function bindData(message, index) {
	var result = JSON.parse(message);

	if ("success" == result.message) {
		if (index == 0) {
			$('ul#thelist').empty();

		}

		$.each(result.data, function(i, data) {
			if (index == 0) {

				$('ul#thelist').prepend($('<li><a href="tousu_detl.html?billNo=' + data.billNo + '"><p>VIN:' + data.vinGroup + '</p><p class="text-muted small">' + data.crtTime + '<span class="pull-right">状态：' + data.statName
				+ '</span></p></a></li>'));
			} else {
				$('ul#thelist').append($('<li><a href="tousu_detl.html?billNo=' + data.billNo + '"><p>VIN:' + data.vinGroup + '</p><p class="text-muted small">' + data.crtTime + '<span class="pull-right">状态：' + data.statName
				+ '</span></p></a></li>'));
			}

		});

	} else {
		window.location.href = "login.html";
	}
}

