window.WC = window.WC || {};
(function(WC) {
	if (typeof jQuery === "undefined") {
		console.log("frame should supported by jQuery!");
		return;
	}
	// 全局设置暂时写成常量， 后结应该异步从后台配置系统中读取
	WC.config = {
		ajaxNum : 0,
		api_inner_url : path,
		api_content_type : 'application/json;charset=UTF-8',
		preloader : {
			inner : 'status',
			outer : 'preloader'
		}
	};

	WC.API = {
		post : function(path, data, callback) {
			WC.API.send(path, 'post', data, callback);
		},
		get : function(path, data, callback) {
			WC.API.send(path, 'get', data, callback);
		},
		send : function(path, method, data, callback) {


            jQuery.ajax({
				url : WC.config["api_inner_url"] + path,
				type : method,
				data : typeof data === 'function' ? undefined
						: (typeof data === 'string' ? data : JSON
								.stringify(data)),
				success : typeof data === 'function' ? data : callback
			});
 
		}

	};

	WC.util = {
		search : function(name) {
			try {
				return location.search.match(eval('/' + name + '=([^&]*)/'))[1];
			} catch (e) {
			}
		},

		fadeOut : function(p){
			p = $.extend({}, WC.config.preloader, p);
			if(WC.config.ajaxNum === 0){
				jQuery("#"+p.inner).fadeOut();
				jQuery("#"+p.outer).delay(350).fadeOut("slow");
			}
		},

		fadeIn : function(p){
			p = $.extend({}, WC.config.preloader, p);
			if(jQuery("#"+p.inner).get(0).style.display === 'none')
				jQuery("#"+p.inner).show();
			if(jQuery("#"+p.outer).get(0).style.display === 'none')
				jQuery("#"+p.outer).show();
		}

	};

	jQuery(window).load(function() {
		setTimeout(WC.util.fadeOut,500);
	});

	jQuery.ajaxSetup({
		cache : false,
		contentType : WC.config["api_content_type"],
		global : true,
		processData : false,
		beforeSend : function() {
			WC.config.ajaxNum++;
			WC.util.fadeIn();
		},
		complete : function() {
			WC.config.ajaxNum--;
			setTimeout(WC.util.fadeOut,500);
		}
	});
})(window.WC);
