$(document).ready(function() {

	getBillByVin();

});

function getBillByVin() {
	var vin = $('#vincode').val();

	if (vin.length != 17 && vin.length != 6 && vin.length != 0) {
		$('#errorVin').css("display", "inline");
		return;

	} else {
		$('#errorVin').css("display", "none");
	}

	var dealerId = localStorage.getItem("dealerid");

	var getData = {
		dealerId : dealerId,
		pageIndex : 0,
		pageSize : 20,
		vin : vin
	};

	var jsonData = JSON.stringify(getData);

	$.ajax({
		url : path+'/appraise/listAppraise',
		type : 'post',
		data : jsonData,
		contentType : 'application/json;charset=UTF-8',
		success : function(message) {

			bindData(message);
		},
	});
}

function bindData(message) {

	var result = JSON.parse(message);

	if ("success" == result.message) {

		$('ul#thelist').empty();

		$.each(result.data, function(i, data) {

			$('ul#thelist').append($('<li><a href="wlpj_detl.html?vin=' + data.vin + '&speedComments=' + data.speedComments + '&driverComments=' + data.driverComments + '&logisticsComments=' + data.logisticsComments + '&isTel=' + data.isTel + '&overallComments=' + data.overallComments + '&remark=' + data.remark + '">VIN ' + data.vin + '</a></li>'));

		});

	} else {
		window.location.href = "login.html";
	}

}