var currProgress = 0;
var done = false;
var total = 100;

function startProgress() {
    var prBar = document.getElementById("prog");
    var startButt = document.getElementById("startBtn");
//    var val = document.getElementById("numValue");
    startButt.disabled=true;
    prBar.value = currProgress;
//    val.innerHTML = Math.round((currProgress/total)*80)+"%";
    
    currProgress++;
    if(currProgress>70) done=true;
    if(!done)
        setTimeout("startProgress()", 70);
    else
    {
        document.getElementById("startBtn").disabled = false;
        done = false; 
        currProgress = 0; 
    } 
}
$(document).ready(function() {
	initcomplainType();
	//初始化投诉类型
	$('#defaultForm').bootstrapValidator({
		fields : {
			textDesc : {
				message : '请填写投诉内容',
				validators : {
					notEmpty : {
						message : '请填写投诉内容'
					}

				}
			},
			vin : {
				message : '请填写涉及的vin码',
				validators : {
					notEmpty : {
						message : '请填写涉及的vin码'
					},
					stringLength : {
						min : 17,
						message : '至少输入17位vin码'
					}

				}
			},

		}

	}).on('success.form.bv', function(e) {//验证成功后提交
		e.preventDefault();
		var custId = localStorage.getItem("custid");
		var textDesc = $('#textDesc').val();
		var vin = $('#vin').val();
		var complainType = $('input[name="complainType"]:checked').val();
		var img = $('input[name="img"]').val();

		var date = new Date();

		var attachName = date.getTime() + ".png";

		if (img.length == 0) {
			attachName = "";
		}

		var getData = {
			custId : custId,
			textDesc : textDesc,
			vin : vin,
			complainType : complainType,
			img : img,
			attachName : attachName
		};

		var jsonData = JSON.stringify(getData);
//          loading();
          $('#showprog').css("display","inline");
          startProgress();
          
		$.ajax({
			url : path+'/textComplain/addText',
			type : 'post',
			data : jsonData,
			contentType : 'application/json;charset=UTF-8',
               
			success : function(message) {
               
				var result = JSON.parse(message);
               
				if ("success" == result.message) {
               $('#showsuccess').css("display","inline");
                     setTimeout(turnUrl , 1600);
               
				} else {
               $('#showsuccess').css("display","none");
					alert(message);
				}
			},
		});

	});

});


function initcomplainType() {
	$.ajax({
		url : path+'/textComplain/getComplainType',
		type : 'post',
		contentType : 'application/json;charset=UTF-8',
		success : function(message) {
			
			var result = JSON.parse(message);

			if ("success" == result.message) {

				$.each(result.data, function(i, data) {
                       if (i == 0) {
//                       alert(data.dictCode);
						$('div#complainType').append($('<div class="radio"><label><input type="radio" name="complainType" value="' + data.dictCode + '" checked="checked" /> ' + data.dictName + '</label></div>'));
					}else {
						$('div#complainType').append($('<div class="radio"><label><input type="radio" name="complainType" value="' + data.dictCode + '" /> ' + data.dictName + '</label></div>'));
					}
				});

			} else {
				//获取失败
			}
		},
	});
}
function turnUrl(){
    window.location.href = "tousu.html";
}
function loading(){
    $("#status").fadeIn();
    $("#preloader").fadeIn();
    $("#status").delay(3500).fadeOut();
    $("#preloader").delay(3500).fadeOut("slow");
}
function loadImage() {
	//拍照并显示在屏幕
	navigator.camera.getPicture(onLoadImageSuccess, onLoadImageFail, {
		destinationType : Camera.DestinationType.DATA_URL
	});
}

function loadImageLocal() {

	//获取本地图片并显示在屏幕
	navigator.camera.getPicture(onLoadImageSuccess, onLoadImageFail, {
		destinationType : Camera.DestinationType.DATA_URL,
		sourceType : Camera.PictureSourceType.SAVEDPHOTOALBUM
	});
}

//拍照成功后回调
function onLoadImageSuccess(imageURI) {
	//这里的图片经过了base64编码
	var src = "data:image/jpeg;base64," + imageURI;
	$("#getImageLocal").attr('src', src);
	$("#getImageLocal").show();
	$('input[name="img"]').val(imageURI);
}

//所有获取图片失败都回调此函数
function onLoadImageFail(message) {
	//navigator.notification.alert("拍照失败，原因：" + message, null, "警告");
}