function getBillByVin() {
	var vin = $('#vincode').val();

	if (vin.length != 17 && vin.length != 6) {
		$('#errorVin').css("display", "inline");
		return;

	} else {
		$('#errorVin').css("display", "none");
	}

	var appaccount = localStorage.getItem("username");

	var getData = {
		appaccount : appaccount,
		vin : vin
	};

	var jsonData = JSON.stringify(getData);

	$.ajax({
		url : path+'/appraise/queryVinsForApp',
		type : 'post',
		data : jsonData,
		contentType : 'application/json;charset=UTF-8',
		success : function(message) {

			bindData(message);
		},
	});
}

function bindData(message) {

	var result = JSON.parse(message);

	if ("success" == result.message) {
//		alert(message);
		$('ul#thelist').empty();

		$.each(result.data, function(i, data) {
			if (data.status == 0) {
				$('ul#thelist').append($('<li><a href="wlpj_form.html?vin=' + data.vin + '">VIN ' + data.vin + '</a></li>'));
			} else if (data.status == 1) {
				$('ul#thelist').append($('<li><a href="wlpj_detl.html?vin=' + data.vin + '">VIN ' + data.vin + '已评价</a></li>'));
			}
		});

	} else {
        var error = document.getElementById("error");
        error.innerHTML = '<div><font color=red>'+result.message+'</font></div>';
	}

}